Upload a file

Our Platforms solution provides an easy way to upload documentation required for full due diligence.

Use this endpoint to generate a file upload link, which you can then upload a file to using a data-binary type request.

See the documentation for more information.

Please note that the sub-domain – https://files.checkout.com – is slightly different to Checkout.com's other endpoints. See the documentation for more information.

Path Parameters
  • entityId
    Type: string
    required

    The ID of the sub-entity

Body·
application/json
  • purpose
    Type: string enum
    required

    The purpose of the file upload.

    values
    • additional_document
    • articles_of_association
    • bank_verification
    • certified_authorised_signatory
    • company_ownership
Responses
  • application/json
  • 401

    Unauthorized

  • 422

    Unprocessable

  • 429

    Too many requests

Request Example for post/entities/{entityId}/files
curl https://files.checkout.com/entities/ent_w4jelhppmfiufdnatam37wrfc4/files \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "purpose": "identity_verification"
}'
{
  "id": "file_6lbss42ezvoufcb2beo76rvwly",
  "maximum_size_in_bytes": 4194304,
  "document_types_for_purpose": [
    "image/jpeg",
    "image/png",
    "image/jpg"
  ],
  "_links": {
    "upload": {
      "href": "https://s3.eu-west-1.amazonaws.com/mp-files-api-staging-prod/ent_ociwguf5a5fe3ndmpnvpnwsi3e/file_6lbss42ezvoufcb2beo76rvwly?AWSAccessKeyId=ASIX4BFJOBCQFLAMPKU3&Expires=1661355993&x-amz-security-token=some_token"
    },
    "self": {
      "href": "https://files.checkout.com/files/file_6lbss42ezvoufcb2beo76rvwly"
    }
  }
}